<?xml version="1.0"?>
<openerp>
    <data>
        <record model="workflow" id="wkf_annual_plan">
            <field name="name">scout.annual.plan.wkf</field>
            <field name="osv">scout.annual.plan</field>
            <field name="on_create">True</field>
        </record>

        <record model="workflow.activity" id="act_annual_plan_draft">
            <field name="wkf_id" ref="wkf_annual_plan" />
            <field name="flow_start">True</field>
            <field name="name">draft</field>
        </record>

        <record model="workflow.activity" id="act_annual_plan_active">
            <field name="wkf_id" ref="wkf_annual_plan" />
            <field name="name">active</field>
            <field name="kind">function</field>
            <field name="action">activity_active()</field>
        </record>

        <record model="workflow.activity" id="act_annual_plan_evaluated">
            <field name="wkf_id" ref="wkf_annual_plan" />
            <field name="name">evaluated</field>
            <field name="kind">function</field>
            <field name="action">activity_evaluated()</field>
            <field name="flow_stop">True</field>
        </record>

        <record model="workflow.activity" id="act_annual_plan_finished">
            <field name="wkf_id" ref="wkf_annual_plan" />
            <field name="name">finished</field>
            <field name="kind">function</field>
            <field name="action">activity_finished()</field>
            <field name="flow_stop">True</field>
        </record>

        <record model="workflow.transition" id="trans_act_annual_plan_draft_active">
            <field name="act_from" ref="act_annual_plan_draft" />
            <field name="act_to" ref="act_annual_plan_active" />
            <field name="signal">annual_plan_valid</field>
            <field name="condition">test_complete()</field>
        </record>

        <record model="workflow.transition" id="trans_act_annual_plan_active_evaluated">
            <field name="act_from" ref="act_annual_plan_active" />
            <field name="act_to" ref="act_annual_plan_evaluated" />
            <field name="signal">annual_plan_evaluated</field>
        </record>

        <record model="workflow.transition" id="trans_act_annual_plan_finished">
            <field name="act_from" ref="act_annual_plan_evaluated" />
            <field name="act_to" ref="act_annual_plan_finished" />
            <field name="signal">annual_plan_finished</field>
        </record>
    </data>
</openerp>